## EvJobPrint

EvJobPrint

## Synopsis

    #define             EV_TYPE_JOB_LINKS
    #define             EV_JOB_LINKS                        (object)
    #define             EV_JOB_LINKS_CLASS                  (klass)
    #define             EV_IS_JOB_LINKS                     (object)
    #define             EV_TYPE_JOB_ATTACHMENTS
    #define             EV_JOB_ATTACHMENTS                  (object)
    #define             EV_JOB_ATTACHMENTS_CLASS            (klass)
    #define             EV_IS_JOB_ATTACHMENTS               (object)
    #define             EV_TYPE_JOB_RENDER
    #define             EV_JOB_RENDER                       (object)
    #define             EV_JOB_RENDER_CLASS                 (klass)
    #define             EV_IS_JOB_RENDER                    (object)
    #define             EV_TYPE_JOB_THUMBNAIL
    #define             EV_JOB_THUMBNAIL                    (object)
    #define             EV_JOB_THUMBNAIL_CLASS              (klass)
    #define             EV_IS_JOB_THUMBNAIL                 (object)
    #define             EV_TYPE_JOB_FONTS
    #define             EV_JOB_FONTS                        (object)
    #define             EV_JOB_FONTS_CLASS                  (klass)
    #define             EV_IS_JOB_FONTS                     (object)
    #define             EV_TYPE_JOB_LOAD
    #define             EV_JOB_LOAD                         (object)
    #define             EV_JOB_LOAD_CLASS                   (klass)
    #define             EV_IS_JOB_LOAD                      (object)
    #define             EV_TYPE_JOB_SAVE
    #define             EV_JOB_SAVE                         (object)
    #define             EV_JOB_SAVE_CLASS                   (klass)
    #define             EV_IS_JOB_SAVE                      (object)
    #define             EV_TYPE_JOB_FIND
    #define             EV_JOB_FIND                         (object)
    #define             EV_JOB_FIND_CLASS                   (klass)
    #define             EV_IS_JOB_FIND                      (object)
    #define             EV_TYPE_JOB_LAYERS
    #define             EV_JOB_LAYERS                       (object)
    #define             EV_JOB_LAYERS_CLASS                 (klass)
    #define             EV_IS_JOB_LAYERS                    (object)
    #define             EV_TYPE_JOB_EXPORT
    #define             EV_JOB_EXPORT                       (object)
    #define             EV_JOB_EXPORT_CLASS                 (klass)
    #define             EV_IS_JOB_EXPORT                    (object)
    #define             EV_TYPE_JOB_PRINT
    #define             EV_JOB_PRINT                        (object)
    #define             EV_JOB_PRINT_CLASS                  (klass)
    #define             EV_IS_JOB_PRINT                     (object)
    enum                EvJobRunMode;
                        EvJob;
                        EvJobLinks;
                        EvJobAttachments;
    enum                EvRenderFlags;
                        EvJobRender;
                        EvJobThumbnail;
                        EvJobFonts;
                        EvJobLoad;
                        EvJobSave;
                        EvJobFind;
                        EvJobLayers;
                        EvJobExport;
                        EvJobPrint;
    gboolean            ev_job_run                          (EvJob *job);
    void                ev_job_cancel                       (EvJob *job);
    void                ev_job_failed                       (EvJob *job,
                                                             GQuark domain,
                                                             gint code,
                                                             const gchar *format,
                                                             ...);
    void                ev_job_failed_from_error            (EvJob *job,
                                                             GError *error);
    void                ev_job_succeeded                    (EvJob *job);
    gboolean            ev_job_is_cancelled                 (EvJob *job);
    gboolean            ev_job_is_finished                  (EvJob *job);
    gboolean            ev_job_is_failed                    (EvJob *job);
    EvJobRunMode        ev_job_get_run_mode                 (EvJob *job);
    void                ev_job_set_run_mode                 (EvJob *job,
                                                             EvJobRunMode run_mode);
    GType               ev_job_links_get_type               (void);
    EvJob *             ev_job_links_new                    (EvDocument *document);
    GType               ev_job_attachments_get_type         (void);
    EvJob *             ev_job_attachments_new              (EvDocument *document);
    GType               ev_job_render_get_type              (void);
    EvJob *             ev_job_render_new                   (EvDocument *document,
                                                             gint page,
                                                             gint rotation,
                                                             gdouble scale,
                                                             gint width,
                                                             gint height,
                                                             EvRenderFlags flags);
    void                ev_job_render_set_selection_info    (EvJobRender *job,
                                                             EvRectangle *selection_points,
                                                             EvSelectionStyle selection_style,
                                                             GdkColor *text,
                                                             GdkColor *base);
    GType               ev_job_thumbnail_get_type           (void);
    EvJob *             ev_job_thumbnail_new                (EvDocument *document,
                                                             gint page,
                                                             gint rotation,
                                                             gdouble scale);
    GType               ev_job_fonts_get_type               (void);
    EvJob *             ev_job_fonts_new                    (EvDocument *document);
    GType               ev_job_load_get_type                (void);
    EvJob *             ev_job_load_new                     (const gchar *uri);
    void                ev_job_load_set_uri                 (EvJobLoad *load,
                                                             const gchar *uri);
    void                ev_job_load_set_password            (EvJobLoad *job,
                                                             const gchar *password);
    GType               ev_job_save_get_type                (void);
    EvJob *             ev_job_save_new                     (EvDocument *document,
                                                             const gchar *uri,
                                                             const gchar *document_uri);
    GType               ev_job_find_get_type                (void);
    EvJob *             ev_job_find_new                     (EvDocument *document,
                                                             gint start_page,
                                                             gint n_pages,
                                                             const gchar *text,
                                                             gboolean case_sensitive);
    gint                ev_job_find_get_n_results           (EvJobFind *job,
                                                             gint pages);
    gdouble             ev_job_find_get_progress            (EvJobFind *job);
    gboolean            ev_job_find_has_results             (EvJobFind *job);
    GList **            ev_job_find_get_results             (EvJobFind *job);
    GType               ev_job_layers_get_type              (void);
    EvJob *             ev_job_layers_new                   (EvDocument *document);
    GType               ev_job_export_get_type              (void);
    EvJob *             ev_job_export_new                   (EvDocument *document);
    void                ev_job_export_set_page              (EvJobExport *job,
                                                             gint page);
    GType               ev_job_print_get_type               (void);
    EvJob *             ev_job_print_new                    (EvDocument *document);
    void                ev_job_print_set_page               (EvJobPrint *job,
                                                             gint page);
    void                ev_job_print_set_cairo              (EvJobPrint *job,
                                                             cairo_t *cr);

## Object Hierarchy

      GObject
       +----EvJob
             +----EvJobLinks
             +----EvJobAttachments
             +----EvJobRender
             +----EvJobThumbnail
             +----EvJobFonts
             +----EvJobLoad
             +----EvJobSave
             +----EvJobFind
             +----EvJobLayers
             +----EvJobExport

      GObject
       +----EvJob
             +----EvJobLinks

      GObject
       +----EvJob
             +----EvJobAttachments

      GObject
       +----EvJob
             +----EvJobRender

      GObject
       +----EvJob
             +----EvJobThumbnail

      GObject
       +----EvJob
             +----EvJobFonts

      GObject
       +----EvJob
             +----EvJobLoad

      GObject
       +----EvJob
             +----EvJobSave

      GObject
       +----EvJob
             +----EvJobFind

      GObject
       +----EvJob
             +----EvJobLayers

      GObject
       +----EvJob
             +----EvJobExport

## Signals

      "cancelled"                                      : Run Last
      "finished"                                       : Run First
      "page-ready"                                     : Run Last
      "updated"                                        : Run Last
      "updated"                                        : Run Last

## Description

## Details

### EV_TYPE_JOB_LINKS

    #define EV_TYPE_JOB_LINKS		     (ev_job_links_get_type())

### EV_JOB_LINKS()

    #define EV_JOB_LINKS(object)		     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_LINKS, EvJobLinks))

`object` : |

### EV_JOB_LINKS_CLASS()

    #define EV_JOB_LINKS_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_LINKS, EvJobLinksClass))

`klass` : |

### EV_IS_JOB_LINKS()

    #define EV_IS_JOB_LINKS(object)		     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_LINKS))

`object` : |

### EV_TYPE_JOB_ATTACHMENTS

    #define EV_TYPE_JOB_ATTACHMENTS		     (ev_job_attachments_get_type())

### EV_JOB_ATTACHMENTS()

    #define EV_JOB_ATTACHMENTS(object)	     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_ATTACHMENTS, EvJobAttachments))

`object` : |

### EV_JOB_ATTACHMENTS_CLASS()

    #define EV_JOB_ATTACHMENTS_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_ATTACHMENTS, EvJobAttachmentsClass))

`klass` : |

### EV_IS_JOB_ATTACHMENTS()

    #define EV_IS_JOB_ATTACHMENTS(object)	     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_ATTACHMENTS))

`object` : |

### EV_TYPE_JOB_RENDER

    #define EV_TYPE_JOB_RENDER		     (ev_job_render_get_type())

### EV_JOB_RENDER()

    #define EV_JOB_RENDER(object)		     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_RENDER, EvJobRender))

`object` : |

### EV_JOB_RENDER_CLASS()

    #define EV_JOB_RENDER_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_RENDER, EvJobRenderClass))

`klass` : |

### EV_IS_JOB_RENDER()

    #define EV_IS_JOB_RENDER(object)	     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_RENDER))

`object` : |

### EV_TYPE_JOB_THUMBNAIL

    #define EV_TYPE_JOB_THUMBNAIL		     (ev_job_thumbnail_get_type())

### EV_JOB_THUMBNAIL()

    #define EV_JOB_THUMBNAIL(object)	     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_THUMBNAIL, EvJobThumbnail))

`object` : |

### EV_JOB_THUMBNAIL_CLASS()

    #define EV_JOB_THUMBNAIL_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_THUMBNAIL, EvJobThumbnailClass))

`klass` : |

### EV_IS_JOB_THUMBNAIL()

    #define EV_IS_JOB_THUMBNAIL(object)	     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_THUMBNAIL))

`object` : |

### EV_TYPE_JOB_FONTS

    #define EV_TYPE_JOB_FONTS		     (ev_job_fonts_get_type())

### EV_JOB_FONTS()

    #define EV_JOB_FONTS(object)	     	     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_FONTS, EvJobFonts))

`object` : |

### EV_JOB_FONTS_CLASS()

    #define EV_JOB_FONTS_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_FONTS, EvJobFontsClass))

`klass` : |

### EV_IS_JOB_FONTS()

    #define EV_IS_JOB_FONTS(object)		     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_FONTS))

`object` : |

### EV_TYPE_JOB_LOAD

    #define EV_TYPE_JOB_LOAD		     (ev_job_load_get_type())

### EV_JOB_LOAD()

    #define EV_JOB_LOAD(object)	     	     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_LOAD, EvJobLoad))

`object` : |

### EV_JOB_LOAD_CLASS()

    #define EV_JOB_LOAD_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_LOAD, EvJobLoadClass))

`klass` : |

### EV_IS_JOB_LOAD()

    #define EV_IS_JOB_LOAD(object)		     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_LOAD))

`object` : |

### EV_TYPE_JOB_SAVE

    #define EV_TYPE_JOB_SAVE		     (ev_job_save_get_type())

### EV_JOB_SAVE()

    #define EV_JOB_SAVE(object)	     	     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_SAVE, EvJobSave))

`object` : |

### EV_JOB_SAVE_CLASS()

    #define EV_JOB_SAVE_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_SAVE, EvJobSaveClass))

`klass` : |

### EV_IS_JOB_SAVE()

    #define EV_IS_JOB_SAVE(object)		     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_SAVE))

`object` : |

### EV_TYPE_JOB_FIND

    #define EV_TYPE_JOB_FIND                     (ev_job_find_get_type())

### EV_JOB_FIND()

    #define EV_JOB_FIND(object)                  (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_FIND, EvJobFind))

`object` : |

### EV_JOB_FIND_CLASS()

    #define EV_JOB_FIND_CLASS(klass)             (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_FIND, EvJobFindClass))

`klass` : |

### EV_IS_JOB_FIND()

    #define EV_IS_JOB_FIND(object)               (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_FIND))

`object` : |

### EV_TYPE_JOB_LAYERS

    #define EV_TYPE_JOB_LAYERS                   (ev_job_layers_get_type())

### EV_JOB_LAYERS()

    #define EV_JOB_LAYERS(object)                (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_LAYERS, EvJobLayers))

`object` : |

### EV_JOB_LAYERS_CLASS()

    #define EV_JOB_LAYERS_CLASS(klass)           (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_LAYERS, EvJobLayersClass))

`klass` : |

### EV_IS_JOB_LAYERS()

    #define EV_IS_JOB_LAYERS(object)             (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_LAYERS))

`object` : |

### EV_TYPE_JOB_EXPORT

    #define EV_TYPE_JOB_EXPORT                    (ev_job_export_get_type())

### EV_JOB_EXPORT()

    #define EV_JOB_EXPORT(object)                 (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_EXPORT, EvJobExport))

`object` : |

### EV_JOB_EXPORT_CLASS()

    #define EV_JOB_EXPORT_CLASS(klass)            (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_EXPORT, EvJobExportClass))

`klass` : |

### EV_IS_JOB_EXPORT()

    #define EV_IS_JOB_EXPORT(object)              (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_EXPORT))

`object` : |

### EV_TYPE_JOB_PRINT

    #define EV_TYPE_JOB_PRINT                    (ev_job_print_get_type())

### EV_JOB_PRINT()

    #define EV_JOB_PRINT(object)                 (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_PRINT, EvJobPrint))

`object` : |

### EV_JOB_PRINT_CLASS()

    #define EV_JOB_PRINT_CLASS(klass)            (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_PRINT, EvJobPrintClass))

`klass` : |

### EV_IS_JOB_PRINT()

    #define EV_IS_JOB_PRINT(object)              (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_PRINT))

`object` : |

### enum EvJobRunMode

    typedef enum {
    	EV_JOB_RUN_THREAD,
    	EV_JOB_RUN_MAIN_LOOP
    } EvJobRunMode;

### EvJob

    typedef struct _EvJob EvJob;

### EvJobLinks

    typedef struct _EvJobLinks EvJobLinks;

### EvJobAttachments

    typedef struct _EvJobAttachments EvJobAttachments;

### enum EvRenderFlags

    typedef enum {
    	EV_RENDER_INCLUDE_NONE      = 0,
    	EV_RENDER_INCLUDE_LINKS     = 1 << 0,
    	EV_RENDER_INCLUDE_TEXT      = 1 << 1,
    	EV_RENDER_INCLUDE_SELECTION = 1 << 2,
    	EV_RENDER_INCLUDE_IMAGES    = 1 << 3,
    	EV_RENDER_INCLUDE_FORMS     = 1 << 4,
    	EV_RENDER_INCLUDE_ANNOTS    = 1 << 5,
    	EV_RENDER_INCLUDE_ALL       = (1 << 6) - 1
    } EvRenderFlags;

### EvJobRender

    typedef struct _EvJobRender EvJobRender;

### EvJobThumbnail

    typedef struct _EvJobThumbnail EvJobThumbnail;

### EvJobFonts

    typedef struct _EvJobFonts EvJobFonts;

### EvJobLoad

    typedef struct _EvJobLoad EvJobLoad;

### EvJobSave

    typedef struct _EvJobSave EvJobSave;

### EvJobFind

    typedef struct _EvJobFind EvJobFind;

### EvJobLayers

    typedef struct _EvJobLayers EvJobLayers;

### EvJobExport

    typedef struct _EvJobExport EvJobExport;

### EvJobPrint

    typedef struct {
    	EvJob parent;

    	gint page;
    	cairo_t *cr;
    } EvJobPrint;

### ev_job_run ()

    gboolean            ev_job_run                          (EvJob *job);

`job` : |
Returns : |

### ev_job_cancel ()

    void                ev_job_cancel                       (EvJob *job);

`job` : |

### ev_job_failed ()

    void                ev_job_failed                       (EvJob *job,
                                                             GQuark domain,
                                                             gint code,
                                                             const gchar *format,
                                                             ...);

`job` : |
`domain` : |
`code` : |
`format` : |
`...` : |

### ev_job_failed_from_error ()

    void                ev_job_failed_from_error            (EvJob *job,
                                                             GError *error);

`job` : |
`error` : |

### ev_job_succeeded ()

    void                ev_job_succeeded                    (EvJob *job);

`job` : |

### ev_job_is_cancelled ()

    gboolean            ev_job_is_cancelled                 (EvJob *job);

`job` : |
Returns : |

### ev_job_is_finished ()

    gboolean            ev_job_is_finished                  (EvJob *job);

`job` : |
Returns : |

### ev_job_is_failed ()

    gboolean            ev_job_is_failed                    (EvJob *job);

`job` : |
Returns : |

### ev_job_get_run_mode ()

    EvJobRunMode        ev_job_get_run_mode                 (EvJob *job);

`job` : |
Returns : |

### ev_job_set_run_mode ()

    void                ev_job_set_run_mode                 (EvJob *job,
                                                             EvJobRunMode run_mode);

`job` : |
`run_mode` : |

### ev_job_links_get_type ()

    GType               ev_job_links_get_type               (void);

Returns : |

### ev_job_links_new ()

    EvJob *             ev_job_links_new                    (EvDocument *document);

`document` : |
Returns : |

### ev_job_attachments_get_type ()

    GType               ev_job_attachments_get_type         (void);

Returns : |

### ev_job_attachments_new ()

    EvJob *             ev_job_attachments_new              (EvDocument *document);

`document` : |
Returns : |

### ev_job_render_get_type ()

    GType               ev_job_render_get_type              (void);

Returns : |

### ev_job_render_new ()

    EvJob *             ev_job_render_new                   (EvDocument *document,
                                                             gint page,
                                                             gint rotation,
                                                             gdouble scale,
                                                             gint width,
                                                             gint height,
                                                             EvRenderFlags flags);

`document` : |
`page` : |
`rotation` : |
`scale` : |
`width` : |
`height` : |
`flags` : |
Returns : |

### ev_job_render_set_selection_info ()

    void                ev_job_render_set_selection_info    (EvJobRender *job,
                                                             EvRectangle *selection_points,
                                                             EvSelectionStyle selection_style,
                                                             GdkColor *text,
                                                             GdkColor *base);

`job` : |
`selection_points` : |
`selection_style` : |
`text` : |
`base` : |

### ev_job_thumbnail_get_type ()

    GType               ev_job_thumbnail_get_type           (void);

Returns : |

### ev_job_thumbnail_new ()

    EvJob *             ev_job_thumbnail_new                (EvDocument *document,
                                                             gint page,
                                                             gint rotation,
                                                             gdouble scale);

`document` : |
`page` : |
`rotation` : |
`scale` : |
Returns : |

### ev_job_fonts_get_type ()

    GType               ev_job_fonts_get_type               (void);

Returns : |

### ev_job_fonts_new ()

    EvJob *             ev_job_fonts_new                    (EvDocument *document);

`document` : |
Returns : |

### ev_job_load_get_type ()

    GType               ev_job_load_get_type                (void);

Returns : |

### ev_job_load_new ()

    EvJob *             ev_job_load_new                     (const gchar *uri);

`uri` : |
Returns : |

### ev_job_load_set_uri ()

    void                ev_job_load_set_uri                 (EvJobLoad *load,
                                                             const gchar *uri);

`load` : |
`uri` : |

### ev_job_load_set_password ()

    void                ev_job_load_set_password            (EvJobLoad *job,
                                                             const gchar *password);

`job` : |
`password` : |

### ev_job_save_get_type ()

    GType               ev_job_save_get_type                (void);

Returns : |

### ev_job_save_new ()

    EvJob *             ev_job_save_new                     (EvDocument *document,
                                                             const gchar *uri,
                                                             const gchar *document_uri);

`document` : |
`uri` : |
`document_uri` : |
Returns : |

### ev_job_find_get_type ()

    GType               ev_job_find_get_type                (void);

Returns : |

### ev_job_find_new ()

    EvJob *             ev_job_find_new                     (EvDocument *document,
                                                             gint start_page,
                                                             gint n_pages,
                                                             const gchar *text,
                                                             gboolean case_sensitive);

`document` : |
`start_page` : |
`n_pages` : |
`text` : |
`case_sensitive` : |
Returns : |

### ev_job_find_get_n_results ()

    gint                ev_job_find_get_n_results           (EvJobFind *job,
                                                             gint pages);

`job` : |
`pages` : |
Returns : |

### ev_job_find_get_progress ()

    gdouble             ev_job_find_get_progress            (EvJobFind *job);

`job` : |
Returns : |

### ev_job_find_has_results ()

    gboolean            ev_job_find_has_results             (EvJobFind *job);

`job` : |
Returns : |

### ev_job_find_get_results ()

    GList **            ev_job_find_get_results             (EvJobFind *job);

`job` : |
Returns : |

### ev_job_layers_get_type ()

    GType               ev_job_layers_get_type              (void);

Returns : |

### ev_job_layers_new ()

    EvJob *             ev_job_layers_new                   (EvDocument *document);

`document` : |
Returns : |

### ev_job_export_get_type ()

    GType               ev_job_export_get_type              (void);

Returns : |

### ev_job_export_new ()

    EvJob *             ev_job_export_new                   (EvDocument *document);

`document` : |
Returns : |

### ev_job_export_set_page ()

    void                ev_job_export_set_page              (EvJobExport *job,
                                                             gint page);

`job` : |
`page` : |

### ev_job_print_get_type ()

    GType               ev_job_print_get_type               (void);

Returns : |

### ev_job_print_new ()

    EvJob *             ev_job_print_new                    (EvDocument *document);

`document` : |
Returns : |

### ev_job_print_set_page ()

    void                ev_job_print_set_page               (EvJobPrint *job,
                                                             gint page);

`job` : |
`page` : |

### ev_job_print_set_cairo ()

    void                ev_job_print_set_cairo              (EvJobPrint *job,
                                                             cairo_t *cr);

`job` : |
`cr` : |

## Signal Details

### The `"cancelled"` signal

    void                user_function                      (EvJob   *evjob,
                                                            gpointer user_data)      : Run Last

`evjob` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"finished"` signal

    void                user_function                      (EvJob   *evjob,
                                                            gpointer user_data)      : Run First

`evjob` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"page-ready"` signal

    void                user_function                      (EvJobRender *evjobrender,
                                                            gpointer     user_data)        : Run Last

`evjobrender` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"updated"` signal

    void                user_function                      (EvJobFonts *evjobfonts,
                                                            gdouble     arg1,
                                                            gpointer    user_data)       : Run Last

`evjobfonts` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"updated"` signal

    void                user_function                      (EvJobFind *evjobfind,
                                                            gint       arg1,
                                                            gpointer   user_data)      : Run Last

`evjobfind` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.